Package org.apache.sling.distribution.journal.shared

# Enum DefaultDistributionLog.LogLevel

java.lang.Object
java.lang.Enum<DefaultDistributionLog.LogLevel>
org.apache.sling.distribution.journal.shared.DefaultDistributionLog.LogLevel

All Implemented Interfaces:
  `Serializable`, `Comparable<DefaultDistributionLog.LogLevel>`

Enclosing class:
  `DefaultDistributionLog`

public static enum DefaultDistributionLog.LogLevel extends Enum<DefaultDistributionLog.LogLevel>
Log level

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DEBUG`
`ERROR`
`INFO`
`WARN`

## Field Summary

Fields
Modifier and Type
Field
Description
`final int`
`cardinal`

## Method Summary

Modifier and Type
Method
Description
`static DefaultDistributionLog.LogLevel`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DefaultDistributionLog.LogLevel[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DEBUG

public static final DefaultDistributionLog.LogLevel DEBUG

### INFO

public static final DefaultDistributionLog.LogLevel INFO

### WARN

public static final DefaultDistributionLog.LogLevel WARN

### ERROR

public static final DefaultDistributionLog.LogLevel ERROR

## Field Details

### cardinal

public final int cardinal

## Method Details

### values

public static DefaultDistributionLog.LogLevel[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static DefaultDistributionLog.LogLevel valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null